#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 10. Graphics and Font Libraries

- Prev

  Poppler-25.02.0

- Next

  Qpdf-11.10.1

- Up
- Home

# Potrace-1.16

## Introduction to Potrace

Potrace™ is a tool for transforming a bitmap (PBM, PGM, PPM, or BMP format) into one of several vector file formats.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/potrace/potrace-1.16.tar.gz

- Download MD5 sum: 5f0bd87ddd9a620b0c4e65652ef93d69

- Download size: 644 KB

- Estimated disk space required: 7.1 MB (including tests)

- Estimated build time: less than 0.1 SBU (including tests)

### Potrace Dependencies

#### Recommended

LLVM-19.1.7 (including clang)

## Installation of Potrace

Install Potrace by running the following commands:

    ./configure --prefix=/usr                        \
                --disable-static                     \
                --docdir=/usr/share/doc/potrace-1.16 \
                --enable-a4                          \
                --enable-metric                      \
                --with-libpotrace                    &&
    make

To run the test suite, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-a4`: Use A4 as the default paper size.

`--enable-metric`: Use metric units (centimeters) as default

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--with-libpotrace`: Install the library and headers.

## Contents

Installed Programs: mkbitmap, potrace
Installed Libraries: libpotrace.so
Installed Directories: /usr/share/doc/potrace-1.16

### Short Descriptions

mkbitmap | transforms images into bitmaps with scaling and filtering
potrace | transforms bitmaps into vector graphics
`libpotrace.so` | is a library for transforming bitmaps into vector graphics

- Prev

  Poppler-25.02.0

- Next

  Qpdf-11.10.1

- Up
- Home